petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscViewerBinaryGetDescriptor

Extracts the file descriptor from a PetscViewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetDescriptor(PetscViewer viewer,int *fdes)

Collective On PetscViewer

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen()

### Output Parameter

fdes -file descriptor

### Notes

For writable binary PetscViewers, the descriptor will only be valid for the first processor in the communicator that shares the PetscViewer. For readable files it will only be valid on nodes that have the file. If node 0 does not have the file it generates an error even if another node does have the file.

### Fortran Note

This routine is not supported in Fortran.

Developer Notes: This must be called on all processes because Dave May changed the source code that this may be trigger a PetscViewerSetUp() call if it was not previously triggered.

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetInfoPointer()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex6.c.html
src/mat/examples/tutorials/ex5.c.html